1.33.0-wmf.4 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.33.0-wmf.4
Release Date
Nov 12 2018, 12:00 AM

2018 week 46 1.33-wmf.4 Changes wmf/1.33-wmf.4

This MediaWiki Train Deployment is scheduled for the week of Monday, November 12th:

Monday November 12thTuesday, November 13thWednesday, November 14thThursday, November 15thFriday
SWAT deployments onlyBranch wmf.4, Deploy to Group 0 WikisDeploy wmf.4 to Group 1 WikisDeploy wmf.4 to all WikisNo deployments on fridays

How this works

  • Any serious bugs affecting wmf.4 should be added as subtasks beneath this one.
  • Any open subtasks block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.

Related Links

Other Deployments

Previous: 1.33.0-wmf.3
Next: 1.33.0-wmf.5
greg created this task.Oct 10 2018, 5:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:22 PM
greg triaged this task as Normal priority.Oct 10 2018, 7:27 PM
greg assigned this task to hashar.Nov 7 2018, 11:16 PM
hashar added a comment.Nov 8 2018, 9:43 AM

I will gladly take care of the train next week!

Mentioned in SAL (#wikimedia-operations) [2018-11-13T13:40:50Z] <hashar> Cutting wmf/1.33.0-wmf.4 branch | T206658

Mentioned in SAL (#wikimedia-operations) [2018-11-13T14:00:19Z] <hashar> scap prep 1.33.0-wmf.4 # T206658

Mentioned in SAL (#wikimedia-operations) [2018-11-13T14:03:53Z] <hashar> Applied security patches to 1.33.0-wmf.4 | T206658

Mentioned in SAL (#wikimedia-operations) [2018-11-13T14:20:26Z] <hashar@deploy1001> Started scap: testwiki to php-1.33.0-wmf.4 | T206658

Mentioned in SAL (#wikimedia-operations) [2018-11-13T14:40:00Z] <hashar@deploy1001> Finished scap: testwiki to php-1.33.0-wmf.4 | T206658 (duration: 19m 34s)

Deployment notes:

To be pasted on https://www.mediawiki.org/wiki/MediaWiki_1.33/wmf.4/Changelog

Mentioned in SAL (#wikimedia-operations) [2018-11-13T14:54:23Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: group to 1.33.0-wmf.4 | T206658

T209429 is about memcached errors appearing with 1.33.0-wmf.4 on group0

hashar added a comment.EditedNov 14 2018, 2:29 PM

Train on hold based on T209429 . I have posted to wikitech-l about it

I have forgot to update the task. group1 went with 1.33.0-wmf.4 during the Americans train window (8pm UTC yesterday).

hashar closed this task as Resolved.Thu, Nov 15, 7:57 PM

1.33.0-wmf.4 has been deployed everywhere